> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# importpersonduplicatematch

> Import Person Fields to match on - Name, E-mail, phone, number, id, None

## "importpersonduplicatematch" MDO List

Import Person Fields to match on: Name, E-mail, phone, number, id, None

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ImportPersonDuplicateMatchProvider">ImportPersonDuplicateMatchProvider</see> class.
The name of the MDO list is 'importpersonduplicatematch'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/importpersonduplicatematch
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("importpersonduplicatematch", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                         | StyleHint | ExtraInfo |
| -- | ---------------------------- | --------- | --------- |
| 1  | Name:                        |           |           |
| 2  | E-mail address               |           |           |
| 3  | Mobile phone                 |           |           |
| 4  | Number                       |           |           |
| 5  | None - do not import contact |           |           |
| 6  | ID                           |           |           |

## Related MDO Lists

* "importpersonduplicatematchheadings"
* "importpersonduplicatematchheadingswithallitem"
* "importpersonduplicatematchheadingswithallitemwithnoselection"
* "importpersonduplicatematchheadingswithnoselection"
* "importpersonduplicatematchwithallitem"
* "importpersonduplicatematchwithallitemwithnoselection"
* "importpersonduplicatematchwithnoselection"


## Related topics

- [Enum ImportPersonDuplicateMatch](/en/automation/crmscript/reference/CRMScript.NetServer.ImportPersonDuplicateMatch.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
